function AddGaussianNoiseFrames(file_name, noiseLevel)

temp=strcat('''\PFT\InputForTracker\',file_name,'''');
file_name = strcat('..\InputForTracker\',file_name);
mmReaderObj = mmreader('..\temp\VideoSequence.avi');
aviobj = avifile(file_name);
aviobj.Compression = 'None';
aviobj.FPS = mmReaderObj.FrameRate;

u = [0 0 0];%Specifying the three 'Means (mu)' of gaussian noise to be added to the red, blue and green 
                            %channels of frames of original video sequence
                            
%Similarly, the values of computed standard deviations (sigmas) of gaussian
%noise to be added to the three channels 
sigma_red = 8.5997;
sigma_green = 8.4048;
sigma_blue = 11.9579;
%three levels of gaussian noise to be used to generate
%three video sequences on this trial
variance = [(sigma_red^2)/255, (sigma_green^2)/255, (sigma_blue^2)/255];

for i=1:mmReaderObj.NumberOfFrames
    if (rem(i,20)==0)
        fprintf('.\n');
    else
        fprintf('.');
    end

    currentFrame = read(mmReaderObj,i);
    if (length(size(currentFrame)) == 3)
        %Adding Gaussian noise to the Red, Green and Blue
        %channels of all the frames
        currentFrame(:,:,1) = imnoise(currentFrame(:,:,1),'gaussian', u(1), noiseLevel*variance(1));
        currentFrame(:,:,2) = imnoise(currentFrame(:,:,2),'gaussian', u(2), noiseLevel*variance(2));
        currentFrame(:,:,3) = imnoise(currentFrame(:,:,3),'gaussian', u(3), noiseLevel*variance(3));
    else
        %for gray scale sequences here
    end
    aviobj = addframe(aviobj,currentFrame);
end
aviobj = close(aviobj);
fprintf('\n');
clear mmReaderObj;

disp(['Video sequence generated and saved at ', temp]);
fprintf('\n');
