function PlotEvaluationScores(evaluationScores, plot_color, param)

line_width = 2;

%Plotting overlap measure
figure(1);
hold on;
if isempty(param)
    plot((1:size(evaluationScores.Overlap)),evaluationScores.Overlap,'LineWidth',line_width,'Color', plot_color);%'LineWidth',3,
    xlim([1 size(evaluationScores.Overlap,1)]);
else
    plot(param,evaluationScores.Overlap,'LineWidth',line_width,'Color', plot_color);%'LineWidth',3,
    xlim([1 param(end)]);
end
xlabel('Frames (k)');
ylabel('Overlap Measure (O)');
ylim([0 1]);

%plotting lost track ratio curve
figure(2);
hold on;
th = 0:0.01:1;
plot(th,evaluationScores.LostTrkRatio,'LineWidth',line_width,'Color', plot_color);
xlabel('\tau');
ylabel('Lost Track Ratio (\lambda)');
ylim([0 1]);

disp('Overlap measure and lost track ratio curves plotted');
fprintf('\n');                    